#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
#-----------------------------------------------------------------------------
Name		:	potrace
Version		:	1.16
Release		:	16.2.0.rel%{?dist}
Summary		:	Transform bitmaps into vector graphics

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://potrace.sourceforge.net

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-%{version}.pdf
Source2		:	%{name}lib-%{version}.pdf

#-----------------------------------------------------------------------------
BuildRequires	:	gcc 
BuildRequires	:	zlib-devel 

#-----------------------------------------------------------------------------
%description
%{name} is a utility for tracing a bitmap, which means, transforming a bitmap 
into a smooth, scalable image. The input is a bitmap (PBM, PGM, PPM, or BMP
format), and the default output is an encapsulated PostScript file (EPS).
A typical use is to create EPS files from scanned data, such as company or
university logos, handwritten notes, etc. The resulting image is not "jaggy"
like a bitmap, but smooth. It can then be rendered at any resolution.
 
Potrace can currently produce the following output formats: EPS, PostScript,
PDF, SVG (scalable vector graphics), Xfig, Gimppath, and PGM (for easy
antialiasing). Additional backends might be added in the future.
 
Mkbitmap is a program distributed with Potrace which can be used to pre-process
the input for better tracing behavior on greyscale and color images.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root, -)
%doc AUTHORS COPYING NEWS README doc/placement.pdf
%{_bindir}/%{name}
%{_bindir}/mkbitmap
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/mkbitmap.1.gz
#=============================================================================
%package		devel

Summary		:	%{name} development library and headers

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
This package contains the %{name} development library and headers.

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}lib.h
%{_libdir}/lib%{name}.so

#=============================================================================
%prep
%setup -q 
%{__cp} -a 				\
	%{SOURCE1}			\
	%{SOURCE2}			\
	.

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--enable-shared					\
	--enable-metric					\
	--with-libpotrace				\
	--with-pic					\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# Get rid of installed copy of placement.pdf
rm -rf %{buildroot}%{_docdir}/%{name}

#-----------------------------------------------------------------------------
%changelog
